<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

$id = safe_query( "select frontpage, cssl, maxmysql from anbieter where anbieter = ? ", TRUE, new SQLString( $PHP_AUTH_USER ) );
$werte = db_fetch_array($id);
$skfrontpage = $werte["frontpage"];
$skssl = $werte["cssl"];
$maxmysql = $werte["maxmysql"];
if ($maxmysql != 0) $skmysql = 1;

## domains ins array
$id = safe_query( "select domain from domains where kunde = ?  and anbieter = ? ", TRUE, new SQLString( $kunde ), new SQLString( $PHP_AUTH_USER ) );
while ($werte = db_fetch_array($id))
	{
	 $domains[] = $werte["domain"];
	}
## /domains ins array

## status des kunden..
$id = safe_query( "select gesperrt from kunden where kunde = ?  and anbieter = ? ", TRUE, new SQLString( $kunde ), new SQLString( $PHP_AUTH_USER ) );
$werte = db_fetch_array($id);
$gesperrt = $werte["gesperrt"];
## /status des kunden...

if ($gesperrt == 0) {

?>
<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
<tr>

<script>
<?
echo js_f_call_help('kuaesp_title1', 'kuaesp_descr2');
?>
</script>
    <TD> 
        <? echo ltext("kuaesp_descr1",array($kunde)); ?>
        <br>
        <br>
        <b>
        <?
for ($i=0; $i < count($domains); $i++)
	{
	 echo "$domains[$i]<br>\n";
	}
?>
        </b>
      <form method="post" action="kunden_aendern_sperren2.php">
        <input type="radio" name="sperren" value="ja">
        
       
        <? echo ltext("kuaesp_text1",array($kunde)); ?>
        <br>
        <input type="radio" name="sperren" value="nein" checked>
        
       
        <? echo ltext("kuaesp_text2",array($kunde)); ?>
        <br>
	<? echo std_button(ltext("kuaesp_button1"), "javascript:doChange()"); ?><input type=hidden name=kunde value="<? echo $kunde; ?>">
    </TD>
  </TR>
</TABLE>
</form>
</BODY>
</HTML>

<? } elseif ($gesperrt > 0) {

?>

<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
<tr>

<script>
<?
js_f_call_help('', 'kuaesp_title1');
?>
</script>
    <TD> 
      <p><? echo ltext("kuaesp_descr3",array($kunde)); ?>
        <br><b>
        <?
for ($i=0; $i < count($domains); $i++)
	{
	 echo "$domains[$i]<br>\n";
	}
?> </b>
        </p>
      <form method="post" action="kunden_aendern_sperren2.php">
         
        <input type="radio" name="sperren" value="ja">
        <? echo ltext("kuaesp_text3",array($kunde)); ?><br>
        <input type="radio" name="sperren" value="nein" checked>
        <? echo ltext("kuaesp_text4",array($kunde)); ?><br>
	<? echo std_button(ltext("kuaesp_button1"), "javascript:doChange()"); ?><input type=hidden name=kunde value="<? echo $kunde; ?>">
    </TD>
  </TR>
</TABLE>
</form>
</BODY>
</HTML>

<? }

db_close(); ?>
